- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWOpenPageSpanElement Class Reference
Inheritance diagram for libabw::ABWOpenPageSpanElement:

## Public Member Functions
| ABWOpenPageSpanElement (const librevenge::RVNGPropertyList &propList, int footer, int footerLeft, int footerFirst, int footerLast, int header, int headerLeft, int headerFirst, int headerLast)
| ~ABWOpenPageSpanElement ()
void | write (librevenge::RVNGTextInterface *iface, const std::map< int, std::list< ABWOutputElement * > > *footers, const std::map< int, std::list< ABWOutputElement * > > *headers) const
Public Member Functions inherited from libabw::ABWOutputElement
| ABWOutputElement ()
virtual | ~ABWOutputElement ()

## Private Member Functions
void | _writeElements (librevenge::RVNGTextInterface *iface, int id, const std::map< int, std::list< ABWOutputElement * > > *elements) const

## Private Attributes
librevenge::RVNGPropertyList | m_propList
int | m_footer
int | m_footerLeft
int | m_footerFirst
int | m_footerLast
int | m_header
int | m_headerLeft
int | m_headerFirst
int | m_headerLast

## Constructor & Destructor Documentation

libabw::ABWOpenPageSpanElement::ABWOpenPageSpanElement | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | footer,
|  | int | footerLeft,
|  | int | footerFirst,
|  | int | footerLast,
|  | int | header,
|  | int | headerLeft,
|  | int | headerFirst,
|  | int | headerLast
| ) |  |
| inline

libabw::ABWOpenPageSpanElement::~ABWOpenPageSpanElement | ( |  | ) |
| inline

## Member Function Documentation

void libabw::ABWOpenPageSpanElement::_writeElements | ( | librevenge::RVNGTextInterface * | iface,
|  | int | id,
|  | const std::map< int, std::list< ABWOutputElement * > > * | elements
| ) |  | const
| private

void libabw::ABWOpenPageSpanElement::write | ( | librevenge::RVNGTextInterface * | iface,
|  | const std::map< int, std::list< ABWOutputElement * > > * | footers,
|  | const std::map< int, std::list< ABWOutputElement * > > * | headers
| ) |  | const
| virtual

Implements libabw::ABWOutputElement.

## Member Data Documentation

int libabw::ABWOpenPageSpanElement::m_footer
| private

int libabw::ABWOpenPageSpanElement::m_footerFirst
| private

int libabw::ABWOpenPageSpanElement::m_footerLast
| private

int libabw::ABWOpenPageSpanElement::m_footerLeft
| private

int libabw::ABWOpenPageSpanElement::m_header
| private

int libabw::ABWOpenPageSpanElement::m_headerFirst
| private

int libabw::ABWOpenPageSpanElement::m_headerLast
| private

int libabw::ABWOpenPageSpanElement::m_headerLeft
| private

librevenge::RVNGPropertyList libabw::ABWOpenPageSpanElement::m_propList
| private

The documentation for this class was generated from the following file:

- ABWOutputElements.cpp